﻿/**Begin D:\dba\PDM_UPGRADE\pdm1\FATVS_table.sql **/
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GPTAS_SKILL') 
 CREATE TABLE T_GPTAS_SKILL (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(50) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(60) DEFAULT ' ' NOT NULL,
FSTATUS CHAR(1) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE CHAR(1) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSKILLTYPE VARCHAR(32) DEFAULT ' ' NOT NULL,
FCUSTOMPLUGIN VARCHAR(150) DEFAULT ' ' NOT NULL,
FDESCRIPTION VARCHAR(500) DEFAULT ' ' NOT NULL,
FGPTTASKID BIGINT DEFAULT 0 NOT NULL,
FCONFIGFORMMETAID VARCHAR(36) DEFAULT ' ' NOT NULL,
FFORMMETAID VARCHAR(36) DEFAULT ' ' NOT NULL,
FINTERACTIONMODE VARCHAR(32) DEFAULT ' ' NOT NULL,
FSKILLICON VARCHAR(256) DEFAULT ' ' NOT NULL,
FPRESET CHAR(1) DEFAULT '0' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GPTAS_SKILLCARD') 
 CREATE TABLE T_GPTAS_SKILLCARD (
FID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FCARDNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FDATATABLETYPE VARCHAR(32) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GPTAS_SKILLCARDOPTION') 
 CREATE TABLE T_GPTAS_SKILLCARDOPTION (
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FENTRYID BIGINT DEFAULT 0 NOT NULL,
FSEQ INT DEFAULT 0 NOT NULL,
FOPTIONCODE VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL,
FOPTIONJSON VARCHAR(1024) DEFAULT ' ' NOT NULL,
FOPTIONMODIFYTIME DATETIME
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GPTAS_SKILLCARDOPTION_L') 
 CREATE TABLE T_GPTAS_SKILLCARDOPTION_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FDETAILID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FOPTIONNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_GPTAS_SKILL_L') 
 CREATE TABLE T_GPTAS_SKILL_L (
FPKID VARCHAR(36) DEFAULT ' ' NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FNAME VARCHAR(50) DEFAULT ' ' NOT NULL
);



/**End D:\dba\PDM_UPGRADE\pdm1\FATVS_table.sql **/
